Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network141.40.0.0/17
Usable hosts32,766
Subnet mask255.255.128.0
Addresses32,768
Network address
141.40.0.0
Broadcast address
141.40.127.255
First usable
141.40.0.1
Last usable
141.40.127.254
Usable hosts
32,766 (32,768 less the network and broadcast addresses)
Subnet mask
255.255.128.0
Wildcard mask
0.0.127.255 (Cisco ACLs, OSPF)
Prefix length
/17
Type
Public public
Old class
B (default /16)
As numbers
Hex 8D280000 · Integer 2368208896 to 2368241663
Reverse DNS zones
0.40.141.in-addr.arpa
1.40.141.in-addr.arpa
2.40.141.in-addr.arpa
3.40.141.in-addr.arpa
4.40.141.in-addr.arpa
5.40.141.in-addr.arpa
6.40.141.in-addr.arpa
7.40.141.in-addr.arpa
8.40.141.in-addr.arpa
9.40.141.in-addr.arpa
10.40.141.in-addr.arpa
11.40.141.in-addr.arpa
12.40.141.in-addr.arpa
13.40.141.in-addr.arpa
14.40.141.in-addr.arpa
15.40.141.in-addr.arpa
and 112 more
/17 is not on a 8-bit boundary, so it takes 128 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10001101.00101000.00000000.00000000141.40.0.0
Subnet mask11111111.11111111.10000000.00000000255.255.128.0
Network10001101.00101000.00000000.00000000141.40.0.0
Broadcast10001101.00101000.01111111.11111111141.40.127.255
Split into smaller subnets/26

141.40.0.0/17 makes 512 subnets of /26; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1141.40.0.0/26141.40.0.1 to 141.40.0.62141.40.0.6362
2141.40.0.64/26141.40.0.65 to 141.40.0.126141.40.0.12762
3141.40.0.128/26141.40.0.129 to 141.40.0.190141.40.0.19162
4141.40.0.192/26141.40.0.193 to 141.40.0.254141.40.0.25562
5141.40.1.0/26141.40.1.1 to 141.40.1.62141.40.1.6362
6141.40.1.64/26141.40.1.65 to 141.40.1.126141.40.1.12762
7141.40.1.128/26141.40.1.129 to 141.40.1.190141.40.1.19162
8141.40.1.192/26141.40.1.193 to 141.40.1.254141.40.1.25562
9141.40.2.0/26141.40.2.1 to 141.40.2.62141.40.2.6362
10141.40.2.64/26141.40.2.65 to 141.40.2.126141.40.2.12762
11141.40.2.128/26141.40.2.129 to 141.40.2.190141.40.2.19162
12141.40.2.192/26141.40.2.193 to 141.40.2.254141.40.2.25562
13141.40.3.0/26141.40.3.1 to 141.40.3.62141.40.3.6362
14141.40.3.64/26141.40.3.65 to 141.40.3.126141.40.3.12762
15141.40.3.128/26141.40.3.129 to 141.40.3.190141.40.3.19162
16141.40.3.192/26141.40.3.193 to 141.40.3.254141.40.3.25562
17141.40.4.0/26141.40.4.1 to 141.40.4.62141.40.4.6362
18141.40.4.64/26141.40.4.65 to 141.40.4.126141.40.4.12762
19141.40.4.128/26141.40.4.129 to 141.40.4.190141.40.4.19162
20141.40.4.192/26141.40.4.193 to 141.40.4.254141.40.4.25562
21141.40.5.0/26141.40.5.1 to 141.40.5.62141.40.5.6362
22141.40.5.64/26141.40.5.65 to 141.40.5.126141.40.5.12762
23141.40.5.128/26141.40.5.129 to 141.40.5.190141.40.5.19162
24141.40.5.192/26141.40.5.193 to 141.40.5.254141.40.5.25562
25141.40.6.0/26141.40.6.1 to 141.40.6.62141.40.6.6362
26141.40.6.64/26141.40.6.65 to 141.40.6.126141.40.6.12762
27141.40.6.128/26141.40.6.129 to 141.40.6.190141.40.6.19162
28141.40.6.192/26141.40.6.193 to 141.40.6.254141.40.6.25562
29141.40.7.0/26141.40.7.1 to 141.40.7.62141.40.7.6362
30141.40.7.64/26141.40.7.65 to 141.40.7.126141.40.7.12762
31141.40.7.128/26141.40.7.129 to 141.40.7.190141.40.7.19162
32141.40.7.192/26141.40.7.193 to 141.40.7.254141.40.7.25562
33141.40.8.0/26141.40.8.1 to 141.40.8.62141.40.8.6362
34141.40.8.64/26141.40.8.65 to 141.40.8.126141.40.8.12762
35141.40.8.128/26141.40.8.129 to 141.40.8.190141.40.8.19162
36141.40.8.192/26141.40.8.193 to 141.40.8.254141.40.8.25562
37141.40.9.0/26141.40.9.1 to 141.40.9.62141.40.9.6362
38141.40.9.64/26141.40.9.65 to 141.40.9.126141.40.9.12762
39141.40.9.128/26141.40.9.129 to 141.40.9.190141.40.9.19162
40141.40.9.192/26141.40.9.193 to 141.40.9.254141.40.9.25562
41141.40.10.0/26141.40.10.1 to 141.40.10.62141.40.10.6362
42141.40.10.64/26141.40.10.65 to 141.40.10.126141.40.10.12762
43141.40.10.128/26141.40.10.129 to 141.40.10.190141.40.10.19162
44141.40.10.192/26141.40.10.193 to 141.40.10.254141.40.10.25562
45141.40.11.0/26141.40.11.1 to 141.40.11.62141.40.11.6362
46141.40.11.64/26141.40.11.65 to 141.40.11.126141.40.11.12762
47141.40.11.128/26141.40.11.129 to 141.40.11.190141.40.11.19162
48141.40.11.192/26141.40.11.193 to 141.40.11.254141.40.11.25562
49141.40.12.0/26141.40.12.1 to 141.40.12.62141.40.12.6362
50141.40.12.64/26141.40.12.65 to 141.40.12.126141.40.12.12762
51141.40.12.128/26141.40.12.129 to 141.40.12.190141.40.12.19162
52141.40.12.192/26141.40.12.193 to 141.40.12.254141.40.12.25562
53141.40.13.0/26141.40.13.1 to 141.40.13.62141.40.13.6362
54141.40.13.64/26141.40.13.65 to 141.40.13.126141.40.13.12762
55141.40.13.128/26141.40.13.129 to 141.40.13.190141.40.13.19162
56141.40.13.192/26141.40.13.193 to 141.40.13.254141.40.13.25562
57141.40.14.0/26141.40.14.1 to 141.40.14.62141.40.14.6362
58141.40.14.64/26141.40.14.65 to 141.40.14.126141.40.14.12762
59141.40.14.128/26141.40.14.129 to 141.40.14.190141.40.14.19162
60141.40.14.192/26141.40.14.193 to 141.40.14.254141.40.14.25562
61141.40.15.0/26141.40.15.1 to 141.40.15.62141.40.15.6362
62141.40.15.64/26141.40.15.65 to 141.40.15.126141.40.15.12762
63141.40.15.128/26141.40.15.129 to 141.40.15.190141.40.15.19162
64141.40.15.192/26141.40.15.193 to 141.40.15.254141.40.15.25562
65141.40.16.0/26141.40.16.1 to 141.40.16.62141.40.16.6362
66141.40.16.64/26141.40.16.65 to 141.40.16.126141.40.16.12762
67141.40.16.128/26141.40.16.129 to 141.40.16.190141.40.16.19162
68141.40.16.192/26141.40.16.193 to 141.40.16.254141.40.16.25562
69141.40.17.0/26141.40.17.1 to 141.40.17.62141.40.17.6362
70141.40.17.64/26141.40.17.65 to 141.40.17.126141.40.17.12762
71141.40.17.128/26141.40.17.129 to 141.40.17.190141.40.17.19162
72141.40.17.192/26141.40.17.193 to 141.40.17.254141.40.17.25562
73141.40.18.0/26141.40.18.1 to 141.40.18.62141.40.18.6362
74141.40.18.64/26141.40.18.65 to 141.40.18.126141.40.18.12762
75141.40.18.128/26141.40.18.129 to 141.40.18.190141.40.18.19162
76141.40.18.192/26141.40.18.193 to 141.40.18.254141.40.18.25562
77141.40.19.0/26141.40.19.1 to 141.40.19.62141.40.19.6362
78141.40.19.64/26141.40.19.65 to 141.40.19.126141.40.19.12762
79141.40.19.128/26141.40.19.129 to 141.40.19.190141.40.19.19162
80141.40.19.192/26141.40.19.193 to 141.40.19.254141.40.19.25562
81141.40.20.0/26141.40.20.1 to 141.40.20.62141.40.20.6362
82141.40.20.64/26141.40.20.65 to 141.40.20.126141.40.20.12762
83141.40.20.128/26141.40.20.129 to 141.40.20.190141.40.20.19162
84141.40.20.192/26141.40.20.193 to 141.40.20.254141.40.20.25562
85141.40.21.0/26141.40.21.1 to 141.40.21.62141.40.21.6362
86141.40.21.64/26141.40.21.65 to 141.40.21.126141.40.21.12762
87141.40.21.128/26141.40.21.129 to 141.40.21.190141.40.21.19162
88141.40.21.192/26141.40.21.193 to 141.40.21.254141.40.21.25562
89141.40.22.0/26141.40.22.1 to 141.40.22.62141.40.22.6362
90141.40.22.64/26141.40.22.65 to 141.40.22.126141.40.22.12762
91141.40.22.128/26141.40.22.129 to 141.40.22.190141.40.22.19162
92141.40.22.192/26141.40.22.193 to 141.40.22.254141.40.22.25562
93141.40.23.0/26141.40.23.1 to 141.40.23.62141.40.23.6362
94141.40.23.64/26141.40.23.65 to 141.40.23.126141.40.23.12762
95141.40.23.128/26141.40.23.129 to 141.40.23.190141.40.23.19162
96141.40.23.192/26141.40.23.193 to 141.40.23.254141.40.23.25562
97141.40.24.0/26141.40.24.1 to 141.40.24.62141.40.24.6362
98141.40.24.64/26141.40.24.65 to 141.40.24.126141.40.24.12762
99141.40.24.128/26141.40.24.129 to 141.40.24.190141.40.24.19162
100141.40.24.192/26141.40.24.193 to 141.40.24.254141.40.24.25562
101141.40.25.0/26141.40.25.1 to 141.40.25.62141.40.25.6362
102141.40.25.64/26141.40.25.65 to 141.40.25.126141.40.25.12762
103141.40.25.128/26141.40.25.129 to 141.40.25.190141.40.25.19162
104141.40.25.192/26141.40.25.193 to 141.40.25.254141.40.25.25562
105141.40.26.0/26141.40.26.1 to 141.40.26.62141.40.26.6362
106141.40.26.64/26141.40.26.65 to 141.40.26.126141.40.26.12762
107141.40.26.128/26141.40.26.129 to 141.40.26.190141.40.26.19162
108141.40.26.192/26141.40.26.193 to 141.40.26.254141.40.26.25562
109141.40.27.0/26141.40.27.1 to 141.40.27.62141.40.27.6362
110141.40.27.64/26141.40.27.65 to 141.40.27.126141.40.27.12762
111141.40.27.128/26141.40.27.129 to 141.40.27.190141.40.27.19162
112141.40.27.192/26141.40.27.193 to 141.40.27.254141.40.27.25562
113141.40.28.0/26141.40.28.1 to 141.40.28.62141.40.28.6362
114141.40.28.64/26141.40.28.65 to 141.40.28.126141.40.28.12762
115141.40.28.128/26141.40.28.129 to 141.40.28.190141.40.28.19162
116141.40.28.192/26141.40.28.193 to 141.40.28.254141.40.28.25562
117141.40.29.0/26141.40.29.1 to 141.40.29.62141.40.29.6362
118141.40.29.64/26141.40.29.65 to 141.40.29.126141.40.29.12762
119141.40.29.128/26141.40.29.129 to 141.40.29.190141.40.29.19162
120141.40.29.192/26141.40.29.193 to 141.40.29.254141.40.29.25562
121141.40.30.0/26141.40.30.1 to 141.40.30.62141.40.30.6362
122141.40.30.64/26141.40.30.65 to 141.40.30.126141.40.30.12762
123141.40.30.128/26141.40.30.129 to 141.40.30.190141.40.30.19162
124141.40.30.192/26141.40.30.193 to 141.40.30.254141.40.30.25562
125141.40.31.0/26141.40.31.1 to 141.40.31.62141.40.31.6362
126141.40.31.64/26141.40.31.65 to 141.40.31.126141.40.31.12762
127141.40.31.128/26141.40.31.129 to 141.40.31.190141.40.31.19162
128141.40.31.192/26141.40.31.193 to 141.40.31.254141.40.31.25562
129141.40.32.0/26141.40.32.1 to 141.40.32.62141.40.32.6362
130141.40.32.64/26141.40.32.65 to 141.40.32.126141.40.32.12762
131141.40.32.128/26141.40.32.129 to 141.40.32.190141.40.32.19162
132141.40.32.192/26141.40.32.193 to 141.40.32.254141.40.32.25562
133141.40.33.0/26141.40.33.1 to 141.40.33.62141.40.33.6362
134141.40.33.64/26141.40.33.65 to 141.40.33.126141.40.33.12762
135141.40.33.128/26141.40.33.129 to 141.40.33.190141.40.33.19162
136141.40.33.192/26141.40.33.193 to 141.40.33.254141.40.33.25562
137141.40.34.0/26141.40.34.1 to 141.40.34.62141.40.34.6362
138141.40.34.64/26141.40.34.65 to 141.40.34.126141.40.34.12762
139141.40.34.128/26141.40.34.129 to 141.40.34.190141.40.34.19162
140141.40.34.192/26141.40.34.193 to 141.40.34.254141.40.34.25562
141141.40.35.0/26141.40.35.1 to 141.40.35.62141.40.35.6362
142141.40.35.64/26141.40.35.65 to 141.40.35.126141.40.35.12762
143141.40.35.128/26141.40.35.129 to 141.40.35.190141.40.35.19162
144141.40.35.192/26141.40.35.193 to 141.40.35.254141.40.35.25562
145141.40.36.0/26141.40.36.1 to 141.40.36.62141.40.36.6362
146141.40.36.64/26141.40.36.65 to 141.40.36.126141.40.36.12762
147141.40.36.128/26141.40.36.129 to 141.40.36.190141.40.36.19162
148141.40.36.192/26141.40.36.193 to 141.40.36.254141.40.36.25562
149141.40.37.0/26141.40.37.1 to 141.40.37.62141.40.37.6362
150141.40.37.64/26141.40.37.65 to 141.40.37.126141.40.37.12762
151141.40.37.128/26141.40.37.129 to 141.40.37.190141.40.37.19162
152141.40.37.192/26141.40.37.193 to 141.40.37.254141.40.37.25562
153141.40.38.0/26141.40.38.1 to 141.40.38.62141.40.38.6362
154141.40.38.64/26141.40.38.65 to 141.40.38.126141.40.38.12762
155141.40.38.128/26141.40.38.129 to 141.40.38.190141.40.38.19162
156141.40.38.192/26141.40.38.193 to 141.40.38.254141.40.38.25562
157141.40.39.0/26141.40.39.1 to 141.40.39.62141.40.39.6362
158141.40.39.64/26141.40.39.65 to 141.40.39.126141.40.39.12762
159141.40.39.128/26141.40.39.129 to 141.40.39.190141.40.39.19162
160141.40.39.192/26141.40.39.193 to 141.40.39.254141.40.39.25562
161141.40.40.0/26141.40.40.1 to 141.40.40.62141.40.40.6362
162141.40.40.64/26141.40.40.65 to 141.40.40.126141.40.40.12762
163141.40.40.128/26141.40.40.129 to 141.40.40.190141.40.40.19162
164141.40.40.192/26141.40.40.193 to 141.40.40.254141.40.40.25562
165141.40.41.0/26141.40.41.1 to 141.40.41.62141.40.41.6362
166141.40.41.64/26141.40.41.65 to 141.40.41.126141.40.41.12762
167141.40.41.128/26141.40.41.129 to 141.40.41.190141.40.41.19162
168141.40.41.192/26141.40.41.193 to 141.40.41.254141.40.41.25562
169141.40.42.0/26141.40.42.1 to 141.40.42.62141.40.42.6362
170141.40.42.64/26141.40.42.65 to 141.40.42.126141.40.42.12762
171141.40.42.128/26141.40.42.129 to 141.40.42.190141.40.42.19162
172141.40.42.192/26141.40.42.193 to 141.40.42.254141.40.42.25562
173141.40.43.0/26141.40.43.1 to 141.40.43.62141.40.43.6362
174141.40.43.64/26141.40.43.65 to 141.40.43.126141.40.43.12762
175141.40.43.128/26141.40.43.129 to 141.40.43.190141.40.43.19162
176141.40.43.192/26141.40.43.193 to 141.40.43.254141.40.43.25562
177141.40.44.0/26141.40.44.1 to 141.40.44.62141.40.44.6362
178141.40.44.64/26141.40.44.65 to 141.40.44.126141.40.44.12762
179141.40.44.128/26141.40.44.129 to 141.40.44.190141.40.44.19162
180141.40.44.192/26141.40.44.193 to 141.40.44.254141.40.44.25562
181141.40.45.0/26141.40.45.1 to 141.40.45.62141.40.45.6362
182141.40.45.64/26141.40.45.65 to 141.40.45.126141.40.45.12762
183141.40.45.128/26141.40.45.129 to 141.40.45.190141.40.45.19162
184141.40.45.192/26141.40.45.193 to 141.40.45.254141.40.45.25562
185141.40.46.0/26141.40.46.1 to 141.40.46.62141.40.46.6362
186141.40.46.64/26141.40.46.65 to 141.40.46.126141.40.46.12762
187141.40.46.128/26141.40.46.129 to 141.40.46.190141.40.46.19162
188141.40.46.192/26141.40.46.193 to 141.40.46.254141.40.46.25562
189141.40.47.0/26141.40.47.1 to 141.40.47.62141.40.47.6362
190141.40.47.64/26141.40.47.65 to 141.40.47.126141.40.47.12762
191141.40.47.128/26141.40.47.129 to 141.40.47.190141.40.47.19162
192141.40.47.192/26141.40.47.193 to 141.40.47.254141.40.47.25562
193141.40.48.0/26141.40.48.1 to 141.40.48.62141.40.48.6362
194141.40.48.64/26141.40.48.65 to 141.40.48.126141.40.48.12762
195141.40.48.128/26141.40.48.129 to 141.40.48.190141.40.48.19162
196141.40.48.192/26141.40.48.193 to 141.40.48.254141.40.48.25562
197141.40.49.0/26141.40.49.1 to 141.40.49.62141.40.49.6362
198141.40.49.64/26141.40.49.65 to 141.40.49.126141.40.49.12762
199141.40.49.128/26141.40.49.129 to 141.40.49.190141.40.49.19162
200141.40.49.192/26141.40.49.193 to 141.40.49.254141.40.49.25562
201141.40.50.0/26141.40.50.1 to 141.40.50.62141.40.50.6362
202141.40.50.64/26141.40.50.65 to 141.40.50.126141.40.50.12762
203141.40.50.128/26141.40.50.129 to 141.40.50.190141.40.50.19162
204141.40.50.192/26141.40.50.193 to 141.40.50.254141.40.50.25562
205141.40.51.0/26141.40.51.1 to 141.40.51.62141.40.51.6362
206141.40.51.64/26141.40.51.65 to 141.40.51.126141.40.51.12762
207141.40.51.128/26141.40.51.129 to 141.40.51.190141.40.51.19162
208141.40.51.192/26141.40.51.193 to 141.40.51.254141.40.51.25562
209141.40.52.0/26141.40.52.1 to 141.40.52.62141.40.52.6362
210141.40.52.64/26141.40.52.65 to 141.40.52.126141.40.52.12762
211141.40.52.128/26141.40.52.129 to 141.40.52.190141.40.52.19162
212141.40.52.192/26141.40.52.193 to 141.40.52.254141.40.52.25562
213141.40.53.0/26141.40.53.1 to 141.40.53.62141.40.53.6362
214141.40.53.64/26141.40.53.65 to 141.40.53.126141.40.53.12762
215141.40.53.128/26141.40.53.129 to 141.40.53.190141.40.53.19162
216141.40.53.192/26141.40.53.193 to 141.40.53.254141.40.53.25562
217141.40.54.0/26141.40.54.1 to 141.40.54.62141.40.54.6362
218141.40.54.64/26141.40.54.65 to 141.40.54.126141.40.54.12762
219141.40.54.128/26141.40.54.129 to 141.40.54.190141.40.54.19162
220141.40.54.192/26141.40.54.193 to 141.40.54.254141.40.54.25562
221141.40.55.0/26141.40.55.1 to 141.40.55.62141.40.55.6362
222141.40.55.64/26141.40.55.65 to 141.40.55.126141.40.55.12762
223141.40.55.128/26141.40.55.129 to 141.40.55.190141.40.55.19162
224141.40.55.192/26141.40.55.193 to 141.40.55.254141.40.55.25562
225141.40.56.0/26141.40.56.1 to 141.40.56.62141.40.56.6362
226141.40.56.64/26141.40.56.65 to 141.40.56.126141.40.56.12762
227141.40.56.128/26141.40.56.129 to 141.40.56.190141.40.56.19162
228141.40.56.192/26141.40.56.193 to 141.40.56.254141.40.56.25562
229141.40.57.0/26141.40.57.1 to 141.40.57.62141.40.57.6362
230141.40.57.64/26141.40.57.65 to 141.40.57.126141.40.57.12762
231141.40.57.128/26141.40.57.129 to 141.40.57.190141.40.57.19162
232141.40.57.192/26141.40.57.193 to 141.40.57.254141.40.57.25562
233141.40.58.0/26141.40.58.1 to 141.40.58.62141.40.58.6362
234141.40.58.64/26141.40.58.65 to 141.40.58.126141.40.58.12762
235141.40.58.128/26141.40.58.129 to 141.40.58.190141.40.58.19162
236141.40.58.192/26141.40.58.193 to 141.40.58.254141.40.58.25562
237141.40.59.0/26141.40.59.1 to 141.40.59.62141.40.59.6362
238141.40.59.64/26141.40.59.65 to 141.40.59.126141.40.59.12762
239141.40.59.128/26141.40.59.129 to 141.40.59.190141.40.59.19162
240141.40.59.192/26141.40.59.193 to 141.40.59.254141.40.59.25562
241141.40.60.0/26141.40.60.1 to 141.40.60.62141.40.60.6362
242141.40.60.64/26141.40.60.65 to 141.40.60.126141.40.60.12762
243141.40.60.128/26141.40.60.129 to 141.40.60.190141.40.60.19162
244141.40.60.192/26141.40.60.193 to 141.40.60.254141.40.60.25562
245141.40.61.0/26141.40.61.1 to 141.40.61.62141.40.61.6362
246141.40.61.64/26141.40.61.65 to 141.40.61.126141.40.61.12762
247141.40.61.128/26141.40.61.129 to 141.40.61.190141.40.61.19162
248141.40.61.192/26141.40.61.193 to 141.40.61.254141.40.61.25562
249141.40.62.0/26141.40.62.1 to 141.40.62.62141.40.62.6362
250141.40.62.64/26141.40.62.65 to 141.40.62.126141.40.62.12762
251141.40.62.128/26141.40.62.129 to 141.40.62.190141.40.62.19162
252141.40.62.192/26141.40.62.193 to 141.40.62.254141.40.62.25562
253141.40.63.0/26141.40.63.1 to 141.40.63.62141.40.63.6362
254141.40.63.64/26141.40.63.65 to 141.40.63.126141.40.63.12762
255141.40.63.128/26141.40.63.129 to 141.40.63.190141.40.63.19162
256141.40.63.192/26141.40.63.193 to 141.40.63.254141.40.63.25562

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses